GNU bug report logs - #11355
24.1.50; Middle click on flyspell-mode fixes a word, but also paste text

Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.

Package: emacs; Reported by: Daniel de Angelis Cordeiro <dcordeiro@HIDDEN>; merged with #9733; dated Thu, 26 Apr 2012 19:13:02 UTC; Maintainer for emacs is bug-gnu-emacs@HIDDEN.

Message received at 11355 <at> debbugs.gnu.org:


Received: (at 11355) by debbugs.gnu.org; 4 Aug 2013 21:46:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Sun Aug 04 17:46:00 2013
Received: from localhost ([127.0.0.1]:40208 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1V667k-0006fp-6H
	for submit <at> debbugs.gnu.org; Sun, 04 Aug 2013 17:46:00 -0400
Received: from ironport2-out.teksavvy.com ([206.248.154.182]:37973)
 by debbugs.gnu.org with esmtp (Exim 4.80)
 (envelope-from <monnier@HIDDEN>) id 1V667h-0006fV-Hz
 for 11355 <at> debbugs.gnu.org; Sun, 04 Aug 2013 17:45:58 -0400
X-IronPort-Anti-Spam-Filtered: true
X-IronPort-Anti-Spam-Result: Av4EABK/CFFFxKix/2dsb2JhbABEvw4Xc4IeAQEEAVYjBQsLNBIUGA0kiB4GwS2RCgOkeoFegxM
X-IPAS-Result: Av4EABK/CFFFxKix/2dsb2JhbABEvw4Xc4IeAQEEAVYjBQsLNBIUGA0kiB4GwS2RCgOkeoFegxM
X-IronPort-AV: E=Sophos;i="4.84,565,1355115600"; d="scan'208";a="20557320"
Received: from 69-196-168-177.dsl.teksavvy.com (HELO pastel.home)
 ([69.196.168.177])
 by ironport2-out.teksavvy.com with ESMTP/TLS/ADH-AES256-SHA;
 04 Aug 2013 17:45:45 -0400
Received: by pastel.home (Postfix, from userid 20848)
 id 6187762DAB; Sun,  4 Aug 2013 17:45:51 -0400 (EDT)
From: Stefan Monnier <monnier@HIDDEN>
To: Edmund Christian Herenz <cherenz@HIDDEN>
Subject: Re: bug#11355: Also affected by this Bug
Message-ID: <jwva9kx2l3l.fsf-monnier+bug#11355@HIDDEN>
References: <CAMNaPkBJJ1=Q78PRtH4ous63Egc4ydu1yDF3pJnnipvf9Ve2Dg@HIDDEN>
 <20130731115503.GJ4562@HIDDEN>
Date: Sun, 04 Aug 2013 17:45:51 -0400
In-Reply-To: <20130731115503.GJ4562@HIDDEN> (Edmund Christian Herenz's
 message of "Wed, 31 Jul 2013 13:55:03 +0200")
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.3.50 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: 0.3 (/)
X-Debbugs-Envelope-To: 11355
Cc: 11355 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: 0.3 (/)

> I am also affected by this bug.
> I wonder if it could be related to the window manager or input device
> people are using. I cannot reporduce this bug on my desktop machine
> (running KDE 4.6), but my Lenove Laptop with Synaptics Touchpad and
> running KDE 4.10 shows this bug.

Are the two Emacs binaries identical (same version, same tookit, ...)?

In the past this has been a problem linked to the toolkit in use
(e.g. Gtk vs lucid).  Usually the problem goes as follows:
- the down-mouse-2 even causes Emacs to call the toolkit to pop up the menu.
- the up-mouse-2 even should be eaten by the toolkit, but for some
  reason isn't.
- when the toolkit returns, the up-mouse-2 event is then handled by
  Emacs in the usual way.
- To prevent this "left over" up-mouse-2 event from causing a `yank',
  flyspell adds a binding from mouse-2 to `undefined' on the
  highlighted words.  But I guess after selecting an entry in the menu,
  the "word button" is removed, so this binding is not in effect any
  more when we return from the menu.
  
Can you reproduce it with "emacs -Q" (and does the same recipe lead to
different result on the other machine).


        Stefan




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11355; Package emacs. Full text available.

Message received at 11355 <at> debbugs.gnu.org:


Received: (at 11355) by debbugs.gnu.org; 31 Jul 2013 15:45:03 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed Jul 31 11:45:03 2013
Received: from localhost ([127.0.0.1]:32854 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.80)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1V4YaD-0004Q8-Gn
	for submit <at> debbugs.gnu.org; Wed, 31 Jul 2013 11:45:02 -0400
Received: from maigret.aip.de ([141.33.160.2]:29008 helo=mail0.aip.de)
 by debbugs.gnu.org with smtp (Exim 4.80)
 (envelope-from <cherenz@HIDDEN>) id 1V4Uzl-000289-My
 for 11355 <at> debbugs.gnu.org; Wed, 31 Jul 2013 07:55:11 -0400
Received: (qmail 23816 invoked from network); 31 Jul 2013 12:00:36 -0000
Received: from pallas.aip.de (141.33.44.13)
 by mailout.aip.de with SMTP; 31 Jul 2013 12:00:36 -0000
Received: by pallas.aip.de (Postfix, from userid 1491)
 id 1E88F1D9; Wed, 31 Jul 2013 13:55:03 +0200 (CEST)
Date: Wed, 31 Jul 2013 13:55:03 +0200
From: Edmund Christian Herenz <cherenz@HIDDEN>
To: 11355 <at> debbugs.gnu.org
Subject: Also affected by this Bug
Message-ID: <20130731115503.GJ4562@HIDDEN>
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
Content-Transfer-Encoding: 8bit
User-Agent: Mutt/1.5.21 (2010-09-15)
X-Spam-Score: -1.5 (-)
X-Debbugs-Envelope-To: 11355
X-Mailman-Approved-At: Wed, 31 Jul 2013 11:45:00 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.15
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit/>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>, 
 <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
Sender: "Debbugs-submit" <debbugs-submit-bounces <at> debbugs.gnu.org>
X-Spam-Score: -1.5 (-)

I am also affected by this bug.

I wonder if it could be related to the window manager or input device
people are using. I cannot reporduce this bug on my desktop machine
(running KDE 4.6), but my Lenove Laptop with Synaptics Touchpad and
running KDE 4.10 shows this bug. 

I now also tried using another windomanger (IceWM) on my laptop, but
the the bug still exists. So appearantly the WM can not be blamed.

Maybe it is the way the middle-click is handeled by X?





-- 

------------------------------------------------------------------------
Christian Herenz    E-Mail:      cherenz@HIDDEN
PhD student         Phone:       +49-(0)331-7499-523
------------------------------------------------------------------------
Leibniz-Institut für Astrophysik Potsdam (AIP)
An der Sternwarte 16, D-14482 Potsdam




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11355; Package emacs. Full text available.

Message received at 11355 <at> debbugs.gnu.org:


Received: (at 11355) by debbugs.gnu.org; 2 May 2012 18:08:51 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Wed May 02 14:08:51 2012
Received: from localhost ([127.0.0.1]:34003 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SPdyr-00026W-Rg
	for submit <at> debbugs.gnu.org; Wed, 02 May 2012 14:08:50 -0400
Received: from mail-yw0-f44.google.com ([209.85.213.44]:43280)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <dcordeiro@HIDDEN>) id 1SPdym-00026E-7X
	for 11355 <at> debbugs.gnu.org; Wed, 02 May 2012 14:08:48 -0400
Received: by yhq56 with SMTP id 56so926209yhq.3
	for <11355 <at> debbugs.gnu.org>; Wed, 02 May 2012 11:07:04 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:in-reply-to:references:date:message-id:subject:from:to
	:cc:content-type;
	bh=kpu0OAezkCQwC61vhFnijelLT+cPXz3JzUWBtPRmMdU=;
	b=zuPe6N7t7EvgzyuQIPtDIxot2YBiXLoOxR7kiALuPYgFv9gfIb4GSidFdVkbQnQLgv
	V6gi3GHXp8MBPsTBX6SBieq9bsOumRH2ex6K8htY9L/dZUWWmHBpQbis9QJ675kDtX+H
	ZwK1wAfXCKPoNtemJjsuP36MEbr8GJAacIEv96ygMuyOO/R4vhMYwKZa0l//Bb5jzAwX
	3PiQmeIOok0nJCDGpRb30UhyZTJazTrwFG1ZqPF6RMP3Efgk2qKVk5EF7Fu3uvZQIi42
	md/QPKq9lpZXTYmWSVVQWT9fViDQchiPqKkb5OqvQwGm5orlvWidlwGTVisKoJv6GDlb
	xGEQ==
MIME-Version: 1.0
Received: by 10.236.192.230 with SMTP id i66mr32685789yhn.92.1335982024799;
	Wed, 02 May 2012 11:07:04 -0700 (PDT)
Received: by 10.147.39.5 with HTTP; Wed, 2 May 2012 11:07:04 -0700 (PDT)
In-Reply-To: <831un9it6i.fsf@HIDDEN>
References: <CAMNaPkBJJ1=Q78PRtH4ous63Egc4ydu1yDF3pJnnipvf9Ve2Dg@HIDDEN>
	<87lilh52d1.fsf@HIDDEN>
	<CAMNaPkA38KoYs-fx=B_4+vcB9NvYnKhMBbnBZO++dXYC2mPThA@HIDDEN>
	<831un9it6i.fsf@HIDDEN>
Date: Wed, 2 May 2012 15:07:04 -0300
Message-ID: <CAMNaPkDJF13C1w=YP7oUaTaRcJhOZFF5V=z_BneQ=iOWHj0U_w@HIDDEN>
Subject: Re: bug#11355: 24.1.50; Middle click on flyspell-mode fixes a word,
	but also paste text
From: Daniel de Angelis Cordeiro <dcordeiro@HIDDEN>
To: Eli Zaretskii <eliz@HIDDEN>
Content-Type: text/plain; charset=UTF-8
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 11355
Cc: cyd@HIDDEN, 11355 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

2012/4/27 Eli Zaretskii <eliz@HIDDEN>:
>> Date: Thu, 26 Apr 2012 23:59:47 -0300
>> From: Daniel de Angelis Cordeiro <dcordeiro@HIDDEN>
>> Cc: 11355 <at> debbugs.gnu.org
>>
>> Yes. :(
>>
>> I followed these steps:
>>
>> 1. run `emacs -Q /tmp/non-existent-file.tex`;
>> 2. wrote some text;
>> 3. copied it (with alt+w);
>> 4. run M-x flyspell-mode;
>> 5. middle click in a misspelled word;
>> 6. right click on one of the suggestions presented by the spell checker;
>>
>> The expected result: the word should be replaced with the suggestion
>> chose from the list
>> Actual result: the corrected word, with the copied text in the middle
>> of the word (the text is pasted in the middle of the word, on the
>> point where I clicked with the middle button of the mouse).
>
> What does "C-h l" show after all this?
>
> Also, is the copied text pasted if you click the left button on the
> suggestion presented by the speller, instead of the right button?

Sorry, it's the left button that I use to select the suggestion
presented by the speller, not the right.

In a simple example session, C-h l shows this:

<help-echo> M-x f l y s p <tab> m o <tab> <return>
M-x i s p <tab> - c <tab> h a <tab> <return> e n g
l <tab> <return> T e s t i n g SPC 1 , SPC 2 , SPC
3 . . . C-SPC <home> M-w <home> <right> <right> <right>
s s <right> <right> <left> <help-echo> <help-echo>
<help-echo> <down-mouse-2> <mouse-2> <help-echo> <help-echo>
C-h l




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11355; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 30 Apr 2012 10:02:20 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Mon Apr 30 06:02:20 2012
Received: from localhost ([127.0.0.1]:58527 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SOnQy-0002JY-7j
	for submit <at> debbugs.gnu.org; Mon, 30 Apr 2012 06:02:20 -0400
Received: from eggs.gnu.org ([208.118.235.92]:60366)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <agustin.martin@HIDDEN>) id 1SOnQu-0002JK-JG
	for submit <at> debbugs.gnu.org; Mon, 30 Apr 2012 06:02:17 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <agustin.martin@HIDDEN>) id 1SOnPP-0005eC-Bd
	for submit <at> debbugs.gnu.org; Mon, 30 Apr 2012 06:00:50 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,RCVD_IN_DNSWL_HI
	autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:60607)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <agustin.martin@HIDDEN>) id 1SOnPP-0005e7-8S
	for submit <at> debbugs.gnu.org; Mon, 30 Apr 2012 06:00:43 -0400
Received: from eggs.gnu.org ([208.118.235.92]:55615)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <agustin.martin@HIDDEN>) id 1SOnPN-000477-Cj
	for bug-gnu-emacs@HIDDEN; Mon, 30 Apr 2012 06:00:42 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <agustin.martin@HIDDEN>) id 1SOnPL-0005dm-CL
	for bug-gnu-emacs@HIDDEN; Mon, 30 Apr 2012 06:00:40 -0400
Received: from fibonacci.ccupm.upm.es ([138.100.198.70]:51163 helo=smtp.upm.es)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <agustin.martin@HIDDEN>) id 1SOnPL-0005dK-2A
	for bug-gnu-emacs@HIDDEN; Mon, 30 Apr 2012 06:00:39 -0400
Received: from agmartin.aq.upm.es (Agmartin.aq.upm.es [138.100.41.131])
	by smtp.upm.es (8.14.3/8.14.3/fibonacci-001) with ESMTP id
	q3UA0USo008573; Mon, 30 Apr 2012 12:00:30 +0200
Received: by agmartin.aq.upm.es (Postfix, from userid 1000)
	id 412F4373; Mon, 30 Apr 2012 12:00:30 +0200 (CEST)
Date: Mon, 30 Apr 2012 12:00:30 +0200
From: Agustin Martin <agustin.martin@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Subject: Re: bug#11355: 24.1.50; Middle click on flyspell-mode fixes a word,
	but also paste text
Message-ID: <20120430100029.GA4600@HIDDEN>
References: <CAMNaPkBJJ1=Q78PRtH4ous63Egc4ydu1yDF3pJnnipvf9Ve2Dg@HIDDEN>
	<87lilh52d1.fsf@HIDDEN>
	<mailman.140.1335495609.855.bug-gnu-emacs@HIDDEN>
	<166933.332.1335581979059.JavaMail.geo-discussion-forums@vbbfk16>
MIME-Version: 1.0
Content-Type: text/plain; charset=iso-8859-1
Content-Disposition: inline
In-Reply-To: <166933.332.1335581979059.JavaMail.geo-discussion-forums@vbbfk16>
User-Agent: Mutt/1.5.21 (2010-09-15)
Content-Transfer-Encoding: quoted-printable
X-MIME-Autoconverted: from 8bit to quoted-printable by smtp.upm.es id
	q3UA0USo008573
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: submit
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

On Fri, Apr 27, 2012 at 07:59:39PM -0700, emacs user wrote:
> On Thursday, April 26, 2012 10:59:47 PM UTC-4, Daniel de Angelis Cordei=
ro wrote:
> > Yes. :(
> >=20
> > I followed these steps:
> >=20
> > 1. run `emacs -Q /tmp/non-existent-file.tex`;
> > 2. wrote some text;
> > 3. copied it (with alt+w);
> > 4. run M-x flyspell-mode;
> > 5. middle click in a misspelled word;
> > 6. right click on one of the suggestions presented by the spell check=
er;
> >=20
> > The expected result: the word should be replaced with the suggestion
> > chose from the list
> > Actual result: the corrected word, with the copied text in the middle
> > of the word (the text is pasted in the middle of the word, on the
> > point where I clicked with the middle button of the mouse).
> >=20
> >=20
> > Thanks for your time,
> > Daniel
> >=20
> > 2012/4/26 Chong Yidong=20
> > > Daniel de Angelis Cordeiro  writes:
> > >
> > >> This is a minor (but annoying) bug.
> > >> In order to correct a mispelled word in Flyspell-mode one must cli=
ck
> > >> with the middle-mouse button. Starting with emacs 24, the middle-c=
lick
> > >> fixes the word but also pastes some text that was copied before. :=
(
> > >
> > >> In GNU Emacs 24.1.50.1 (x86_64-pc-linux-gnu, GTK+ Version 3.4.1)
> > >> =A0of 2012-04-23 on charichuelo, modified by Debian
> > >
> > > I can't reproduce it either on current trunk (24.1.50) or the emacs=
-24
> > > branch (24.0.95), (x86_64-unknown-linux-gnu, GTK+ Version 3.2.0). =A0=
Do
> > > you see this bug happening with emacs -Q?
>=20
> thanks for reporting this.  I have been seeing this bug for a long time=
 now on the latest emacs from trunk, and also reported it, with a hopeful=
ly reproducible procedure starting with=20
> emacs -Q, please see
> http://lists.gnu.org/archive/html/bug-gnu-emacs/2011-10/msg00552.html
> I'd be happy to test solutions or provide more info.

Cannot reproduce here following your steps with -Q

GNU Emacs 24.1.50.1 (i486-pc-linux-gnu, GTK+ Version 3.4.1)
 of 2012-04-23 on zelenka, modified by Debian

--=20
Agustin




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11355; Package emacs. Full text available.
Merged 9733 11355. Request was from Glenn Morris <rgm@HIDDEN> to control <at> debbugs.gnu.org. Full text available.

Message received at 11355 <at> debbugs.gnu.org:


Received: (at 11355) by debbugs.gnu.org; 28 Apr 2012 03:00:56 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 27 23:00:56 2012
Received: from localhost ([127.0.0.1]:55942 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SNxu3-0006En-E0
	for submit <at> debbugs.gnu.org; Fri, 27 Apr 2012 23:00:55 -0400
Received: from mail-pz0-f64.google.com ([209.85.210.64]:44846)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <user.emacs@HIDDEN>) id 1SNxu0-0006Ea-Pj
	for 11355 <at> debbugs.gnu.org; Fri, 27 Apr 2012 23:00:53 -0400
Received: by dano14 with SMTP id o14so1208853dan.9
	for <11355 <at> debbugs.gnu.org>; Fri, 27 Apr 2012 19:59:39 -0700 (PDT)
Received: by 10.52.75.101 with SMTP id b5mr290496vdw.16.1335581979152; Fri, 27
	Apr 2012 19:59:39 -0700 (PDT)
Path: glegroupsg2000goo.googlegroups.com!not-for-mail
Newsgroups: gnu.emacs.bug
Date: Fri, 27 Apr 2012 19:59:39 -0700 (PDT)
In-Reply-To: <mailman.140.1335495609.855.bug-gnu-emacs@HIDDEN>
Complaints-To: groups-abuse@HIDDEN
Injection-Info: glegroupsg2000goo.googlegroups.com; posting-host=71.126.235.59;
	posting-account=2cK20QoAAADjnST9XNG61hcFIwKD5YpP
NNTP-Posting-Host: 71.126.235.59
References: <CAMNaPkBJJ1=Q78PRtH4ous63Egc4ydu1yDF3pJnnipvf9Ve2Dg@HIDDEN>
	<87lilh52d1.fsf@HIDDEN>
	<mailman.140.1335495609.855.bug-gnu-emacs@HIDDEN>
User-Agent: G2/1.0
X-Google-Web-Client: true
X-Google-IP: 71.126.235.59
MIME-Version: 1.0
Message-ID: <166933.332.1335581979059.JavaMail.geo-discussion-forums@vbbfk16>
Subject: Re: bug#11355: 24.1.50; Middle click on flyspell-mode fixes a word,
	but also paste text
From: emacs user <user.emacs@HIDDEN>
To: gnu.emacs.bug@HIDDEN
Content-Type: text/plain; charset=ISO-8859-1
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 11355
Cc: Chong Yidong <cyd@HIDDEN>, 11355 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

On Thursday, April 26, 2012 10:59:47 PM UTC-4, Daniel de Angelis Cordeiro w=
rote:
> Yes. :(
>=20
> I followed these steps:
>=20
> 1. run `emacs -Q /tmp/non-existent-file.tex`;
> 2. wrote some text;
> 3. copied it (with alt+w);
> 4. run M-x flyspell-mode;
> 5. middle click in a misspelled word;
> 6. right click on one of the suggestions presented by the spell checker;
>=20
> The expected result: the word should be replaced with the suggestion
> chose from the list
> Actual result: the corrected word, with the copied text in the middle
> of the word (the text is pasted in the middle of the word, on the
> point where I clicked with the middle button of the mouse).
>=20
>=20
> Thanks for your time,
> Daniel
>=20
> 2012/4/26 Chong Yidong=20
> > Daniel de Angelis Cordeiro  writes:
> >
> >> This is a minor (but annoying) bug.
> >> In order to correct a mispelled word in Flyspell-mode one must click
> >> with the middle-mouse button. Starting with emacs 24, the middle-click
> >> fixes the word but also pastes some text that was copied before. :(
> >
> >> In GNU Emacs 24.1.50.1 (x86_64-pc-linux-gnu, GTK+ Version 3.4.1)
> >> =A0of 2012-04-23 on charichuelo, modified by Debian
> >
> > I can't reproduce it either on current trunk (24.1.50) or the emacs-24
> > branch (24.0.95), (x86_64-unknown-linux-gnu, GTK+ Version 3.2.0). =A0Do
> > you see this bug happening with emacs -Q?

thanks for reporting this.  I have been seeing this bug for a long time now=
 on the latest emacs from trunk, and also reported it, with a hopefully rep=
roducible procedure starting with=20
emacs -Q, please see
http://lists.gnu.org/archive/html/bug-gnu-emacs/2011-10/msg00552.html
I'd be happy to test solutions or provide more info.
cheers, E




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11355; Package emacs. Full text available.

Message received at 11355 <at> debbugs.gnu.org:


Received: (at 11355) by debbugs.gnu.org; 27 Apr 2012 06:30:36 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Fri Apr 27 02:30:36 2012
Received: from localhost ([127.0.0.1]:54940 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SNehP-0008Ep-54
	for submit <at> debbugs.gnu.org; Fri, 27 Apr 2012 02:30:35 -0400
Received: from mtaout23.012.net.il ([80.179.55.175]:43169)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <eliz@HIDDEN>) id 1SNehM-0008Eb-0T
	for 11355 <at> debbugs.gnu.org; Fri, 27 Apr 2012 02:30:33 -0400
Received: from conversion-daemon.a-mtaout23.012.net.il by
	a-mtaout23.012.net.il (HyperSendmail v2007.08) id
	<0M3400B00KKBQ100@HIDDEN> for
	11355 <at> debbugs.gnu.org; Fri, 27 Apr 2012 09:29:22 +0300 (IDT)
Received: from HOME-C4E4A596F7 ([84.229.249.186]) by a-mtaout23.012.net.il
	(HyperSendmail v2007.08) with ESMTPA id
	<0M3400B3JKOXNP70@HIDDEN>;
	Fri, 27 Apr 2012 09:29:22 +0300 (IDT)
Date: Fri, 27 Apr 2012 09:29:25 +0300
From: Eli Zaretskii <eliz@HIDDEN>
Subject: Re: bug#11355: 24.1.50;
	Middle click on flyspell-mode fixes a word, but also paste text
In-reply-to: <CAMNaPkA38KoYs-fx=B_4+vcB9NvYnKhMBbnBZO++dXYC2mPThA@HIDDEN>
X-012-Sender: halo1@HIDDEN
To: Daniel de Angelis Cordeiro <dcordeiro@HIDDEN>
Message-id: <831un9it6i.fsf@HIDDEN>
References: <CAMNaPkBJJ1=Q78PRtH4ous63Egc4ydu1yDF3pJnnipvf9Ve2Dg@HIDDEN>
	<87lilh52d1.fsf@HIDDEN>
	<CAMNaPkA38KoYs-fx=B_4+vcB9NvYnKhMBbnBZO++dXYC2mPThA@HIDDEN>
X-Spam-Score: 0.1 (/)
X-Debbugs-Envelope-To: 11355
Cc: cyd@HIDDEN, 11355 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
Reply-To: Eli Zaretskii <eliz@HIDDEN>
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: 0.1 (/)

> Date: Thu, 26 Apr 2012 23:59:47 -0300
> From: Daniel de Angelis Cordeiro <dcordeiro@HIDDEN>
> Cc: 11355 <at> debbugs.gnu.org
> 
> Yes. :(
> 
> I followed these steps:
> 
> 1. run `emacs -Q /tmp/non-existent-file.tex`;
> 2. wrote some text;
> 3. copied it (with alt+w);
> 4. run M-x flyspell-mode;
> 5. middle click in a misspelled word;
> 6. right click on one of the suggestions presented by the spell checker;
> 
> The expected result: the word should be replaced with the suggestion
> chose from the list
> Actual result: the corrected word, with the copied text in the middle
> of the word (the text is pasted in the middle of the word, on the
> point where I clicked with the middle button of the mouse).

What does "C-h l" show after all this?

Also, is the copied text pasted if you click the left button on the
suggestion presented by the speller, instead of the right button?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11355; Package emacs. Full text available.

Message received at 11355 <at> debbugs.gnu.org:


Received: (at 11355) by debbugs.gnu.org; 27 Apr 2012 03:01:00 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 26 23:01:00 2012
Received: from localhost ([127.0.0.1]:54882 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SNbQZ-0007Xm-H8
	for submit <at> debbugs.gnu.org; Thu, 26 Apr 2012 23:01:00 -0400
Received: from mail-yx0-f172.google.com ([209.85.213.172]:39596)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <dcordeiro@HIDDEN>) id 1SNbQV-0007XX-J7
	for 11355 <at> debbugs.gnu.org; Thu, 26 Apr 2012 23:00:57 -0400
Received: by yenm5 with SMTP id m5so152602yen.3
	for <11355 <at> debbugs.gnu.org>; Thu, 26 Apr 2012 19:59:47 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:in-reply-to:references:date:message-id:subject:from:to
	:cc:content-type:content-transfer-encoding;
	bh=Ch6j6C44ncY+5PUTiDqzcVAGzl3XVX6gmBzkA8hqJJE=;
	b=VLR2U7yxas7bq0iD9p5Bl4hYSV5bSdjMHBtzkEDCImf7qnYcYLWStV9EKG3QAILlgv
	+5M+v/KfXw5VdK0gIh+oIOWXtrFQ5rfkPuFBgeLR5wtBwmjrl98H02ITdEZckcmnP0Hp
	ibYlLBqbnnPlu1yyNZV2H86lOcU6nlLkBJ6AtITbLDWnbwe5nw7Oet6SL/cwm0pNrH3k
	MxIrNFq+mWNh94MhtPNM7fa+snU65YlhcSFmXsV7FiP9C2WwFC3vcddYHOVHU36kqkEJ
	mDauWa2HqVEFm6VTrj+fmJJWrudFLZnbYV6TNuVICP4qnrFUTjKGoOwcYmhEmyUdH8sw
	P4Hg==
MIME-Version: 1.0
Received: by 10.236.192.230 with SMTP id i66mr9293292yhn.92.1335495587132;
	Thu, 26 Apr 2012 19:59:47 -0700 (PDT)
Received: by 10.147.39.5 with HTTP; Thu, 26 Apr 2012 19:59:47 -0700 (PDT)
In-Reply-To: <87lilh52d1.fsf@HIDDEN>
References: <CAMNaPkBJJ1=Q78PRtH4ous63Egc4ydu1yDF3pJnnipvf9Ve2Dg@HIDDEN>
	<87lilh52d1.fsf@HIDDEN>
Date: Thu, 26 Apr 2012 23:59:47 -0300
Message-ID: <CAMNaPkA38KoYs-fx=B_4+vcB9NvYnKhMBbnBZO++dXYC2mPThA@HIDDEN>
Subject: Re: bug#11355: 24.1.50; Middle click on flyspell-mode fixes a word,
	but also paste text
From: Daniel de Angelis Cordeiro <dcordeiro@HIDDEN>
To: Chong Yidong <cyd@HIDDEN>
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable
X-Spam-Score: -2.6 (--)
X-Debbugs-Envelope-To: 11355
Cc: 11355 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -2.6 (--)

Yes. :(

I followed these steps:

1. run `emacs -Q /tmp/non-existent-file.tex`;
2. wrote some text;
3. copied it (with alt+w);
4. run M-x flyspell-mode;
5. middle click in a misspelled word;
6. right click on one of the suggestions presented by the spell checker;

The expected result: the word should be replaced with the suggestion
chose from the list
Actual result: the corrected word, with the copied text in the middle
of the word (the text is pasted in the middle of the word, on the
point where I clicked with the middle button of the mouse).


Thanks for your time,
Daniel

2012/4/26 Chong Yidong <cyd@HIDDEN>:
> Daniel de Angelis Cordeiro <dcordeiro@HIDDEN> writes:
>
>> This is a minor (but annoying) bug.
>> In order to correct a mispelled word in Flyspell-mode one must click
>> with the middle-mouse button. Starting with emacs 24, the middle-click
>> fixes the word but also pastes some text that was copied before. :(
>
>> In GNU Emacs 24.1.50.1 (x86_64-pc-linux-gnu, GTK+ Version 3.4.1)
>> =C2=A0of 2012-04-23 on charichuelo, modified by Debian
>
> I can't reproduce it either on current trunk (24.1.50) or the emacs-24
> branch (24.0.95), (x86_64-unknown-linux-gnu, GTK+ Version 3.2.0). =C2=A0D=
o
> you see this bug happening with emacs -Q?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11355; Package emacs. Full text available.

Message received at 11355 <at> debbugs.gnu.org:


Received: (at 11355) by debbugs.gnu.org; 27 Apr 2012 02:36:04 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 26 22:36:04 2012
Received: from localhost ([127.0.0.1]:54874 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SNb2R-0006Au-W1
	for submit <at> debbugs.gnu.org; Thu, 26 Apr 2012 22:36:04 -0400
Received: from fencepost.gnu.org ([208.118.235.10]:60639 ident=Debian-exim)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <cyd@HIDDEN>) id 1SNb2O-0006AP-M1
	for 11355 <at> debbugs.gnu.org; Thu, 26 Apr 2012 22:36:01 -0400
Received: from bb116-14-12-6.singnet.com.sg ([116.14.12.6]:50631 helo=ulysses)
	by fencepost.gnu.org with esmtpsa
	(TLS1.0:DHE_RSA_AES_128_CBC_SHA1:16) (Exim 4.71)
	(envelope-from <cyd@HIDDEN>)
	id 1SNb1N-00058m-4Z; Thu, 26 Apr 2012 22:34:57 -0400
From: Chong Yidong <cyd@HIDDEN>
To: Daniel de Angelis Cordeiro <dcordeiro@HIDDEN>
Subject: Re: bug#11355: 24.1.50;
	Middle click on flyspell-mode fixes a word, but also paste text
References: <CAMNaPkBJJ1=Q78PRtH4ous63Egc4ydu1yDF3pJnnipvf9Ve2Dg@HIDDEN>
Date: Fri, 27 Apr 2012 10:34:50 +0800
In-Reply-To: <CAMNaPkBJJ1=Q78PRtH4ous63Egc4ydu1yDF3pJnnipvf9Ve2Dg@HIDDEN>
	(Daniel de Angelis Cordeiro's message of "Thu, 26 Apr 2012 16:02:11
	-0300")
Message-ID: <87lilh52d1.fsf@HIDDEN>
User-Agent: Gnus/5.13 (Gnus v5.13) Emacs/24.0.95 (gnu/linux)
MIME-Version: 1.0
Content-Type: text/plain
X-Spam-Score: -6.9 (------)
X-Debbugs-Envelope-To: 11355
Cc: 11355 <at> debbugs.gnu.org
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.9 (------)

Daniel de Angelis Cordeiro <dcordeiro@HIDDEN> writes:

> This is a minor (but annoying) bug.
> In order to correct a mispelled word in Flyspell-mode one must click
> with the middle-mouse button. Starting with emacs 24, the middle-click
> fixes the word but also pastes some text that was copied before. :(

> In GNU Emacs 24.1.50.1 (x86_64-pc-linux-gnu, GTK+ Version 3.4.1)
>  of 2012-04-23 on charichuelo, modified by Debian

I can't reproduce it either on current trunk (24.1.50) or the emacs-24
branch (24.0.95), (x86_64-unknown-linux-gnu, GTK+ Version 3.2.0).  Do
you see this bug happening with emacs -Q?




Information forwarded to bug-gnu-emacs@HIDDEN:
bug#11355; Package emacs. Full text available.

Message received at submit <at> debbugs.gnu.org:


Received: (at submit) by debbugs.gnu.org; 26 Apr 2012 19:12:37 +0000
From debbugs-submit-bounces <at> debbugs.gnu.org Thu Apr 26 15:12:37 2012
Received: from localhost ([127.0.0.1]:54676 helo=debbugs.gnu.org)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <debbugs-submit-bounces <at> debbugs.gnu.org>)
	id 1SNU7J-0000ka-5Q
	for submit <at> debbugs.gnu.org; Thu, 26 Apr 2012 15:12:37 -0400
Received: from eggs.gnu.org ([208.118.235.92]:43655)
	by debbugs.gnu.org with esmtp (Exim 4.72)
	(envelope-from <dcordeiro@HIDDEN>) id 1SNTyQ-0000YQ-KD
	for submit <at> debbugs.gnu.org; Thu, 26 Apr 2012 15:03:28 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <dcordeiro@HIDDEN>) id 1SNTxL-0006Uh-G3
	for submit <at> debbugs.gnu.org; Thu, 26 Apr 2012 15:02:21 -0400
X-Spam-Checker-Version: SpamAssassin 3.3.2 (2011-06-06) on eggs.gnu.org
X-Spam-Level: 
X-Spam-Status: No, score=-6.9 required=5.0 tests=BAYES_00,FREEMAIL_FROM,
	RCVD_IN_DNSWL_HI,T_DKIM_INVALID autolearn=unavailable version=3.3.2
Received: from lists.gnu.org ([208.118.235.17]:59055)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <dcordeiro@HIDDEN>) id 1SNTxL-0006UR-Ag
	for submit <at> debbugs.gnu.org; Thu, 26 Apr 2012 15:02:19 -0400
Received: from eggs.gnu.org ([208.118.235.92]:59820)
	by lists.gnu.org with esmtp (Exim 4.71)
	(envelope-from <dcordeiro@HIDDEN>) id 1SNTxJ-0007Tz-Bp
	for bug-gnu-emacs@HIDDEN; Thu, 26 Apr 2012 15:02:18 -0400
Received: from Debian-exim by eggs.gnu.org with spam-scanned (Exim 4.71)
	(envelope-from <dcordeiro@HIDDEN>) id 1SNTxH-0006SU-2V
	for bug-gnu-emacs@HIDDEN; Thu, 26 Apr 2012 15:02:16 -0400
Received: from mail-gy0-f169.google.com ([209.85.160.169]:35262)
	by eggs.gnu.org with esmtp (Exim 4.71)
	(envelope-from <dcordeiro@HIDDEN>) id 1SNTxG-0006RI-Ry
	for bug-gnu-emacs@HIDDEN; Thu, 26 Apr 2012 15:02:15 -0400
Received: by ghrr18 with SMTP id r18so1449523ghr.0
	for <bug-gnu-emacs@HIDDEN>; Thu, 26 Apr 2012 12:02:11 -0700 (PDT)
DKIM-Signature: v=1; a=rsa-sha256; c=relaxed/relaxed; d=gmail.com; s=20120113;
	h=mime-version:date:message-id:subject:from:to:content-type;
	bh=9nqevMqn8wM2l25+sMuF+KEbq0DdjprXi7cYvy+pC2s=;
	b=XUFvH9S+gpuI4XHIwXCljhDnUNjakNSpu8yK+SKXoMx1RaIXGYO1viiFWqqEQ1vaii
	oD7ScgVwQBvI+BpI08PqywUCbxjTf6qaidsuH5uopHnZcdOvKTaB2f6c9u9GJQ1Sa5J3
	b9Ci5FanyHa1+guUrGvp7B8JY91tvzHSylxTQ1ONvJd2P/9EKl1g4s6tMYFEyDtdg83C
	p4d3utIfrIe58OqfZYc0SC+Ar5CYwEGMFKYUfHce/nyJxRFQnwkwZ+uLHRNJQKbAZodK
	ZhlTJo0N7cI2cNDAyXTi6GnTvQ/EfGNIbyrhzX08VgPbIf8XqFrXHw3fHswND9TVlATE
	FYfA==
MIME-Version: 1.0
Received: by 10.236.143.106 with SMTP id k70mr7630448yhj.38.1335466931618;
	Thu, 26 Apr 2012 12:02:11 -0700 (PDT)
Received: by 10.147.39.5 with HTTP; Thu, 26 Apr 2012 12:02:11 -0700 (PDT)
Date: Thu, 26 Apr 2012 16:02:11 -0300
Message-ID: <CAMNaPkBJJ1=Q78PRtH4ous63Egc4ydu1yDF3pJnnipvf9Ve2Dg@HIDDEN>
Subject: 24.1.50;
	Middle click on flyspell-mode fixes a word, but also paste text
From: Daniel de Angelis Cordeiro <dcordeiro@HIDDEN>
To: bug-gnu-emacs@HIDDEN
Content-Type: text/plain; charset=UTF-8
X-detected-operating-system: by eggs.gnu.org: Genre and OS details not
	recognized.
X-detected-operating-system: by eggs.gnu.org: GNU/Linux 2.6 (newer, 3)
X-Received-From: 208.118.235.17
X-Spam-Score: -6.1 (------)
X-Debbugs-Envelope-To: submit
X-Mailman-Approved-At: Thu, 26 Apr 2012 15:12:36 -0400
X-BeenThere: debbugs-submit <at> debbugs.gnu.org
X-Mailman-Version: 2.1.13
Precedence: list
List-Id: <debbugs-submit.debbugs.gnu.org>
List-Unsubscribe: <http://debbugs.gnu.org/cgi-bin/mailman/options/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=unsubscribe>
List-Archive: <http://debbugs.gnu.org/cgi-bin/mailman/private/debbugs-submit>
List-Post: <mailto:debbugs-submit <at> debbugs.gnu.org>
List-Help: <mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=help>
List-Subscribe: <http://debbugs.gnu.org/cgi-bin/mailman/listinfo/debbugs-submit>,
	<mailto:debbugs-submit-request <at> debbugs.gnu.org?subject=subscribe>
Sender: debbugs-submit-bounces <at> debbugs.gnu.org
Errors-To: debbugs-submit-bounces <at> debbugs.gnu.org
X-Spam-Score: -6.1 (------)

This is a minor (but annoying) bug.
In order to correct a mispelled word in Flyspell-mode one must click
with the middle-mouse button. Starting with emacs 24, the middle-click
fixes the word but also pastes some text that was copied before. :(


--text follows this line--
This bug report will be sent to the Bug-GNU-Emacs mailing list
and the GNU bug tracker at debbugs.gnu.org.  Please check that
the From: line contains a valid email address.  After a delay of up
to one day, you should receive an acknowledgement at that address.

Please write in English if possible, as the Emacs maintainers
usually do not have translators for other languages.

Please describe exactly what actions triggered the bug, and
the precise symptoms of the bug.  If you can, give a recipe
starting from `emacs -Q':



If Emacs crashed, and you have the Emacs process in the gdb debugger,
please include the output from the following gdb commands:
    `bt full' and `xbacktrace'.
For information about debugging Emacs, please read the file
/usr/share/emacs/24.1.50/etc/DEBUG.


In GNU Emacs 24.1.50.1 (x86_64-pc-linux-gnu, GTK+ Version 3.4.1)
 of 2012-04-23 on charichuelo, modified by Debian
 (emacs-snapshot package, version 2:20120423-1~ppa1~precise1)
Windowing system distributor `The X.Org Foundation', version 11.0.11103000
Configured using:
 `configure '--build' 'x86_64-linux-gnu' '--host' 'x86_64-linux-gnu'
 '--prefix=/usr' '--sharedstatedir=/var/lib' '--libexecdir=/usr/lib'
 '--localstatedir=/var' '--infodir=/usr/share/info'
 '--mandir=/usr/share/man' '--with-pop=yes'
 '--enable-locallisppath=/etc/emacs-snapshot:/etc/emacs:/usr/local/share/emacs/24.1.50/site-lisp:/usr/local/share/emacs/site-lisp:/usr/share/emacs/24.1.50/site-lisp:/usr/share/emacs/site-lisp'
 '--without-compress-info' '--with-crt-dir=/usr/lib/x86_64-linux-gnu/'
 '--with-x=yes' '--with-x-toolkit=gtk3' '--with-imagemagick=yes'
 'build_alias=x86_64-linux-gnu' 'host_alias=x86_64-linux-gnu'
 'CFLAGS=-DDEBIAN -DSITELOAD_PURESIZE_EXTRA=5000 -g -O2' 'LDFLAGS=-g
 -Wl,--as-needed -znocombreloc' 'CPPFLAGS=-D_FORTIFY_SOURCE=2''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: pt_BR.UTF-8
  value of $LC_CTYPE: pt_BR.UTF-8
  value of $LC_MESSAGES: pt_BR.UTF-8
  value of $LC_MONETARY: pt_BR.UTF-8
  value of $LC_NUMERIC: pt_BR.UTF-8
  value of $LC_TIME: pt_BR.UTF-8
  value of $LANG: pt_BR.UTF-8
  value of $XMODIFIERS: nil
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: LaTeX/MP

Minor modes in effect:
  flyspell-mode: t
  reftex-mode: t
  LaTeX-math-mode: t
  TeX-PDF-mode: t
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  blink-cursor-mode: t
  auto-composition-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  column-number-mode: t
  line-number-mode: t
  transient-mark-mode: t




Acknowledgement sent to Daniel de Angelis Cordeiro <dcordeiro@HIDDEN>:
New bug report received and forwarded. Copy sent to bug-gnu-emacs@HIDDEN. Full text available.
Report forwarded to bug-gnu-emacs@HIDDEN:
bug#11355; Package emacs. Full text available.
Please note: This is a static page, with minimal formatting, updated once a day.
Click here to see this page with the latest information and nicer formatting.
Last modified: Fri, 31 Oct 2014 17:00:04 UTC

GNU bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997 nCipher Corporation Ltd, 1994-97 Ian Jackson.